<?php
namespace Claromentis\People\Validator;

$GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"] ?: array()) + array("_d155d43" . "a39de93f" . "858123c6" . "b6ce31d8" . "a" => base64_decode("cHJlZ19tY" . "XRjaA=="), "_dc99f29eb97c274b4e4" . "7f6701fb2d842" => base64_decode("TWV0YWRh" . "dGEgZmll" . "bGQg"), "_4b4a03dbe" . "69a4c39db0" . "14be2875a7" . "313" => base64_decode("Tm9uLW51bWVyaWMgdmFsd" . "WUgIg=="), "_bb26699a673361ff7c17444a2a8" . "2deba" => base64_decode("SW52YWxpZCB2YWx1Z" . "SBnaXZlbiBmb3IgZG" . "9jdW1lbnQgbGluayB" . "maWVsZCA="), "_bd71c3b5c2" . "01fc11db82e" . "d14ce424de5" => base64_decode("aW5fYXJyYX" . "k="), "_a7fdbac2a6d0ebb5b" . "b8ea569e8173d7b" => base64_decode("IiBmb3I" . "gZGF0ZS" . "BmaWVsZ" . "CA="), "_a827c5bc10b88ccab760d95c5" . "8bfbeaa" => base64_decode("Q291bGQgb" . "m90IHBhcn" . "NlIHZhbHV" . "lICI="), "_d013620d4b36" . "b1d03509cbeff" . "31bbdb9" => base64_decode("IiBnaXZlbiBmb3IgbnVtZXJpYyBmaWVsZ" . "CA="), "_3aec16c1aa2104da778e412207" . "d6c415" => base64_decode("L15cZHsx" . "NH18XGR7" . "OH0kLw=="), "_fa96cdf58bf" . "f3b0695fb2bc" . "0803d7b12" => base64_decode("IGRvZXMgbm" . "90IGV4aXN0"), "_2cb499b451eb718f841aa" . "a78dc70cc52" => base64_decode("IiBmb3IgZGF0ZS10aW1lIGZpZWxkIA=" . "="), "_66a6b98e1f1601e30de10feb3" . "44fcdb6" => base64_decode("SW52YWxpZC" . "B2YWx1ZSAi"), "_535e3fcb3f5" . "d89c525bb618" . "a08cc8dcc" => base64_decode("LiBWYWx1ZSBtdXN0IGJ" . "lIGVpdGhlciBhIGRvY3" . "VtZW50IElEIG9yIGEgZ" . "G9jdW1lbnQgb2JqZWN0"), "_ac927f4168510971a59508f1f08cf9" . "8a" => base64_decode("L15cZHs4" . "fSQv"), "_27ba77e349cbe144e" . "8794d0c0497a106" => base64_decode("IiBnaXZlbiBmb3Igc2VsZWN0" . "IGZpZWxkIA=="), "_62d701c3c53404f06345" . "eb35720a47b4" => base64_decode("aXNfbnV" . "tZXJpYw" . "=="));
use Claromentis\People\Exception\ValidationException;
use Claromentis\People\Repository\UserRepository;
class MetadataValidator
{
    protected $user_repository;
    public function __construct(UserRepository $_eeeeb0d673b7b0fd0bdca58b5541c3e0)
    {
        $this->user_repository = $_eeeeb0d673b7b0fd0bdca58b5541c3e0;
    }
    
    
    
    
    
    
    
    public function Validate(int $_8bd60f167b34bb2f633dd93934749b67, array $values) : array
    {
        $_cd32cee6e5836ae05dc7b722f2ec21e9 = new \MetaDataSet($_8bd60f167b34bb2f633dd93934749b67);
        $_cd32cee6e5836ae05dc7b722f2ec21e9->LoadAllFields();
        $output = [];
        foreach ($values as $key => $value) {
            $field = $_cd32cee6e5836ae05dc7b722f2ec21e9->GetMetaFieldByName($key);
            if ($field === false) {
                throw new ValidationException($GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_dc99f29eb97c" . "274b4e47f6701" . "fb2d842"] . $key . $GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_fa96cdf58bff3b0695fb2" . "bc0803d7b12"]);
            }
            switch ($field->GetMetaType()) {
                case META_TYPE_TEXT:
                case META_TYPE_DEFAULT:
                    break;
                case META_TYPE_INT:
                    if (!$GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_62d701c3c53404f0" . "6345eb35720a47b4"]($value)) {
                        throw new ValidationException($GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_4b4a03db" . "e69a4c39d" . "b014be287" . "5a7313"] . $value . $GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_d013620d4b36b1d03509cbeff31bbd" . "b9"] . $key);
                    }
                    break;
                case META_TYPE_DATETIME:
                    if (!$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_d155d43a39de9" . "3f858123c6b6ce" . "31d8a"]($GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_3aec16c1aa2104da778e41" . "2207d6c415"], $value)) {
                        throw new ValidationException($GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_a827c5bc10b88ccab760d95c58" . "bfbeaa"] . $value . $GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_2cb499b451eb718f841a" . "aa78dc70cc52"] . $key);
                    }
                    break;
                case META_TYPE_SELECT:
                    $field->values->Load();
                    $_4d67cdd33a7358d7cc3b5e51df410bbb = $field->values->GetAllValues();
                    if (!$GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_bd71c3b5c201fc11db82" . "ed14ce424de5"]($value, $_4d67cdd33a7358d7cc3b5e51df410bbb)) {
                        throw new ValidationException($GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_66a6b98e1f1601e30de10feb344fc" . "db6"] . $value . $GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_27ba77e349c" . "be144e8794d0" . "c0497a106"] . $key);
                    }
                    break;
                case META_TYPE_CHECK:
                    break;
                case META_TYPE_DOCLINK:
                    if (!$GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_62d701c3c53404f06345eb" . "35720a47b4"]($value) && !$value instanceof \ERMSDocument && !$value instanceof \Claromentis\Core\Metadata\Type\DocumentObject) {
                        throw new ValidationException($GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_bb26699a673361ff7c17444a2a82de" . "ba"] . $key . $GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_535e3fcb3f5d89c" . "525bb618a08cc8dc" . "c"]);
                    }
                    break;
                case META_TYPE_LINK:
                    break;
                case META_TYPE_USER:
                    break;
                case META_TYPE_DATE:
                    if (!$GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_d155d43a39de93f8" . "58123c6b6ce31d8a"]($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_ac927f4168510971a59508f1f" . "08cf98a"], $value)) {
                        throw new ValidationException($GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_a827c5bc10b88ccab76" . "0d95c58bfbeaa"] . $value . $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_a7fdbac2a6d0ebb5bb8ea569e8" . "173d7b"] . $key);
                    }
                    break;
                case META_TYPE_SPECIAL:
                    break;
                case META_TYPE_FILE:
                    break;
                case META_TYPE_ADDRESS:
                    break;
                case META_TYPE_MULTISELECT:
                    break;
                case META_TYPE_DATE_NO_YEAR:
                    break;
                case META_TYPE_IMAGE:
                    break;
            }
            $output[$key] = $value;
        }
    }
}